SOLVED: Wie fügt sich das native Kopano Repo zu dem UCS-Kopano Repo?

UCS weißt darauf hin:

Kopano Core: Version 8.2.1.530 kann auf 8.2.1.530-2 aktualisiert werden
Kopano WebApp: Version 3.2.0.335-19.1 kann auf 3.2.0.335-19.1-2 aktualisiert werden

Wie fügen sich die nativen Kopano-Pakete mit den Anpassungen für Kopano, die ich über UCS-Variablen setzen kann?

Kann/sollte ich die Kopano-Repos nutzen oder verträgt sich das nicht?

In der UMC (UCS Aktualisierungen) sehen Sie die Versionsnummern der Kopano Apps - normalerweise sind diese dieselben wie die Kopano Pakete. Wenn das Kopano Repo eingebunden und Updates daraus installiert werden haben Sie ggf. aktuellere Kopano Pakete, aber die Version der Kopano UCS-Integration ist die in der UMC angegebene. Mit einem Appcenter Update aktualisieren Sie also nur die UCS Integrationspakete, das ist auch empfohlen. Die eigentlichen Kopano Pakete sollten bei einem Paket-Update übersprungen werden, da diese aktueller sind.

Danke für die Klarstellung. Ich habe jetzt folgende UCS-Variablen hinterlegt:

kopano/repo/kopano-webapp=true
kopano/repo/kopano-core=true
kopano/repo/kopano-webapp-releasetype=final

leider sehe ich im System nur /etc/apt/sources.list.d/kopano-core.list

und somit gibt es keine neuen Webapp Pakete. Ist das ein Bug?

Welche UCS Version ist denn im Einsatz? Und welche Version der Integrationspakete ist installiert? dpkg -l | grep kopano4ucs

Release-Aktualisierungen
Die momentan installierte Version ist 4.2-0 errata15.

ii kopano4ucs 1.2.11 all Kopano4ucs integration package for Univention Corporate Server
ii kopano4ucs-lib 1.2.11 all Library package for common Kopano4ucs functions
ii kopano4ucs-schema 1.2.11 all LDAP schema for the Kopano4ucs integration
ii kopano4ucs-udm 1.2.11 all UDM extensions for the Kopano4ucs integration
ii kopano4ucs-webapp 1.2.11 all Kopano4ucs kopano-webapp integration package for Univention Corporate Se
ii kopano4ucs-z-push 1.3.0 all Meta package for Z-Push installation

Hallo @siegmarb,

Es wäre super, wenn du einen Blick auf die FAQs/Posting Guidelines werfen würdest :slight_smile: Damit mehr Leute was von deiner Frage und einer möglichen Lösung haben, wäre folgendes wichtig:

  • Verwendung von Tags (kopano)
  • Verwendung einer Kategorie (Apps & App Center)
  • Nennung der eingesetzten UCS-Version (univention-app info)
  • Verwendung von Englisch

Viel Spaß weiterhin auf Univention Help,
Michael Grandjean

Hallo,

vermutlich haben Sie das App Update, um das es im ersten Post geht, schlicht noch nicht eingespielt. Ein univention-app info zeigt auf meinem System:

# univention-app info
UCS: 4.2-0 errata15
App Center compatibility: 4
Installed: kopano-core=8.2.1.530-2 kopano-webapp=3.2.0.335-19.1-2
Upgradable:

Die Paketversion des kopano4ucs-webapp Pakets muss 1.3.0 sein. Dann greifen auch die UCR Variablen. Die WebApp Pakete können erst mit der App Version 3.2.0.335-19.1-2 von den Kopano Server aktualisiert werden - siehe auch den WebApp Abschnitt in der Kopano Dokumentation

UCS: 4.2-0 errata15
App Center compatibility: 4
Installed: dhcp-server=11.0.0 fetchmail=6.3.26 kopano-core=8.2.1.530 kopano-webapp=3.2.0.335-19.1 samba4=4.6 z-push-kopano=2.3.6
Upgradable: kopano-core kopano-webapp

kopano4ucs-webapp 1.3.0 ist nicht verfügbar in den Paketquellen. Paketquellen wurden nicht manuell angepasst/verändert/justiert.

Hallo,

die Paketversion sollte installiert werden, wenn Sie die App Updates einspielen :slight_smile:

Danke - so einfach war es! Problem gelöst! Vielen Dank :).